wordpress - 2 different versions of PHP on SLES11

676

I am currently working on a SLES11 system with installed apache webserver to host a WordPress website.

To integrate a LDAP authentication Plug-In in WordPress, the CMS needs the php curl module.

I was wondering that the Plug-In told me, that this isn´t available, because I installed it via the default repository from php5. After some investigation, I´ve found out, that the Webserver is configured, to use php-cgi, which is a php 5.5.16. The default php5 from SUSE repo is 5.3.17.

So I checked the modules and saw this:

For php-cgi:

[email protected]:/etc> php-cgi -m
PHP Warning:  PHP Startup: curl: Unable to initialize module
Module compiled with module API=20090626
PHP    compiled with module API=20121212
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: dom: Unable to initialize module
Module compiled with module API=20090626
PHP    compiled with module API=20121212
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php5/extensions/pdo.so' - /usr/lib64/php5/extensions/pdo.so: undefined symbol: zval_property_ctor in Unknown on line 0
PHP Warning:  PHP Startup: pdo_sqlite: Unable to initialize module
Module compiled with module API=20090626
PHP    compiled with module API=20121212
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php5/extensions/sqlite.so' - /usr/lib64/php5/extensions/sqlite.so: undefined symbol: zval_property_ctor in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php5/extensions/sqlite3.so' - /usr/lib64/php5/extensions/sqlite3.so: undefined symbol: zval_property_ctor in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php5/extensions/xmlreader.so' - /usr/lib64/php5/extensions/xmlreader.so: undefined symbol: zval_property_ctor in Unknown on line 0
PHP Warning:  PHP Startup: xmlrpc: Unable to initialize module
Module compiled with module API=20090626
PHP    compiled with module API=20121212
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php5/extensions/xmlwriter.so' - /usr/lib64/php5/extensions/xmlwriter.so: undefined symbol: zval_property_ctor in Unknown on line 0
PHP Warning:  Cannot load module 'pdo_mysql' because required module 'pdo' is not loaded in Unknown on line 0
[PHP Modules]
cgi-fcgi
Core
ctype
date
ereg
filter
gd
hash
iconv
json
ldap
libxml
mbstring
mcrypt
mhash
mysql
mysqli
mysqlnd
openssl
pcre
Reflection
session
SimpleXML
SPL
standard
suhosin
tokenizer
xml
zlib

[Zend Modules]

And for php:

[email protected]:/etc> php -m
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php5/extensions/php_curl.dll' - /usr/lib64/php5/extensions/php_curl.dll: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: ctype: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: gd: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: iconv: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php5/extensions/json.so' - /usr/lib64/php5/extensions/json.so: undefined symbol: zend_new_interned_string in Unknown on line 0
PHP Warning:  PHP Startup: ldap: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: mbstring: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: mcrypt: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: mysql: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php5/extensions/mysqli.so' - /usr/lib64/php5/extensions/mysqli.so: undefined symbol: zend_new_interned_string in Unknown on line 0
PHP Warning:  PHP Startup: openssl: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: pdo_mysql: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php5/extensions/suhosin.so' - /usr/lib64/php5/extensions/suhosin.so: undefined symbol: zend_execute_ex in Unknown on line 0
PHP Warning:  PHP Startup: tokenizer: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: zlib: Unable to initialize module
Module compiled with module API=20121212
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
[PHP Modules]
Core
curl
date
dom
ereg
filter
hash
libxml
mhash
mysqlnd
pcre
PDO
pdo_sqlite
Reflection
session
SimpleXML
SPL
SQLite
sqlite3
standard
xml
xmlreader
xmlrpc
xmlwriter

[Zend Modules]

So my questions are: 1. How to solve the problems with the not initialized modules? 2. How to change the apache web server to use /usr/bin/php and not the php-cgi from /usr/bin/php-cgi? 3. Or could somebody explain, how to install the modules for php-cgi?

Thank you

Best regards Andy

146

Answer

Solution:

You should better to ask you system administrator to do it for you. Because it could be complicated. He should disable php as FastCgi (find and remove or comment in web server Apache configuration LoadModule mod_fastcgi /.../.so and ) and enable it (add LoadModule php5_module /path/to/lib/apache2/modules/libphp5.so) as module to your web server.

People are also looking for solutions to the problem: php - Woocommerce search product based on attributes

Source

Didn't find the answer?

Our community is visited by hundreds of web development professionals every day. Ask your question and get a quick answer for free.

Ask a Question

Write quick answer

Do you know the answer to this question? Write a quick response to it. With your help, we will make our community stronger.

Similar questions

Find the answer in similar questions on our website.